/* -*- mode: c++; c-basic-offset: 4; -*- */
#include <time.h>
#include <iostream>
#include "NameClient.hh"
// #include "NameMsg.hh"
#include <string>
#include <cstring>
#include <cstdlib>

using namespace lmsg;
using namespace std;

int 
main(int argc, const char* argv[]) {
    NameClient nc;
    MsgAddr addr;
    NameProcs type=lmsg::p_Any;
    for (int i=1 ; i<argc ; i++) {
        string argi(argv[i]);
        if (argi == "-a") {
	    addr.setIPAddr(strtol(argv[++i], 0, 0));
	} else if (argi == "-t" && i != argc-1) {
	    type = NameProcs(strtol(argv[++i], 0, 0));
	} else if (argi == "-debug") {
	    if (i < argc-1) nc.setDebug(strtol(argv[++i], 0, 0));
	    else            nc.setDebug(1);
	} else {
	    cerr << "Unrecognized argument: " << argv[i] << endl;
	    cerr << "Syntax: " << argv[0] 
		 << " [-a <node>] [-t <proc-type>] [-debug [<level>]]" << endl;
	    return 1;
	}
    }
    string Index;
    int rc = nc.getIndex(Index, addr.getIPAddr(), type);
    if (rc) cerr << "Error in request: " << rc << endl;
    else    cout << Index << endl;
    return rc;
}
