/* -*- mode: c++; c-basic-offset: 4; -*- */
#include "lsmp.hh"
#include "lsmp_int.hh"
#include <iostream>

using namespace std;

int
main(int argc, const char* argv[]) {
    LSMP shm;

    cout << "id        name         nBuf   lBuf" << endl;

    //---------------------------------  Loop over valid IDs
    for (int id=0; id < LSMP_MAXSHM; id++) {
	int shmid = LSMP_SHMBASE + id;
	if (!shm.map(shmid)) {
	    if (shm.access()) {
		cout << shmid << "  " << shm.name() << "  " 
		     << shm.getBufferCount() << "  " 
		     << shm.getBufferLength() << endl;
		shm.deaccess();
	    }
	    shm.unmap();
	}
    }
}
